Subject: bug#65522: closed (Re: bug#65522: Documentation for some home services disappeared from 1.4 manual)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Sep 2023 00:44:03 +0000

Your bug report

#65522: Documentation for some home services disappeared from 1.4 manual

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65522: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65522
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65522: Documentation for some home services disappeared from 1.4 manual
From: Simon Tournier <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 07 Sep 2023 01:26:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Wed, 06 Sep 2023 at 13:16, [email-masked] wrote:

> https://guix.gnu.org/manual/en/html_node/File-Search-Services.html
> which is 404.

This webpage currently works for me.

> Of course this does not really change anything, if the current manual
> is correct then let's close this bug report!

Well, I am closing since it is probably a transient issue.  Feel free to
reopen if you have similar troubles.

Cheers,
simon

Subject: Documentation for some home services disappeared from 1.4 manual
From: [email-masked]
To: "[email-masked]" <[email-masked]>
Date: Fri, 25 Aug 2023 08:16:28 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I noticed some help nodes under https://guix.gnu.org/en/manual/en/html_node/Home-Services.html disappeared fairly recently.
They are still available in the devel docs under https://guix.gnu.org/en/manual/devel/en/html_node/Home-Services.html

The following topics are missing:
* GPG: GNU Privacy Guard.       Setting up GPG and related tools.
* Fonts: Fonts Home Services.   Services for managing User's fonts.
* Sound: Sound Home Services.   Dealing with audio.
* Mail: Mail Home Services.     Services for managing mail.
* Messaging: Messaging Home Services.  Services for managing messaging.
* Media: Media Home Services.   Services for managing media.
* Networking: Networking Home Services.  Networking services.
* Miscellaneous: Miscellaneous Home Services.  More services.

This makes sense when looking at the 1.4.0 git tag, but I had a browser tab open, and https://guix.gnu.org/manual/en/html_node/Mail-Home-Services.html was definitely available just a day or two ago.

I don't know if this is actually an issue or an intended change, but it seemed better to report it than to ignore it.